#include "triangles.h"
using namespace std;
#define ll int
const ll INF = 1e8;

vector<std::vector<int>> solve(int n) {
    Triangle t1 = {0, 1, 2};
    Triangle t2 = {0, 1, 3};
    Triangle t3 = {0, 2, 3};
    Triangle t4 = {1, 2, 3};

    vector<ll> x1 = {0, 1, 2};
    vector<ll> x2 = {0, 1, 3};
    vector<ll> x3 = {0, 2, 3};
    vector<ll> x4 = {1, 2, 3};
    int c1 = compare({t1}, {t2, t3, t4});
    int c2 = compare({t2}, {t1, t3, t4});
    int c3 = compare({t3}, {t1, t2, t4});
    int c4 = compare({t4}, {t1, t2, t3});
    if (c1 == 0){
        return {x2, x3, x4};
    }
    else if (c2 == 0){
        return {x1, x3, x4};
    }
    else if (c3 == 0){
        return {x1, x2, x4};
    }
    else if (c4 == 0){
        return {x1, x2, x3};
    }
    int g1 = compare({t1, t2}, {t3, t4});
    if (g1 == 0) {
        ll g2 = compare({t1, t3}, {t2, t4});
        if (g2 == 0){
            return {x1, x3};
        }
        return {x1, x2};
    }
    else{
        return {};
        return {x1, x3};
    }
}
